Subject: IPP> RE: Protocol Definition

From: Hiroyuki Sato <[email-masked]>
Date: Fri, 11 Apr 1997 09:05:26 +0900

Randy Turner wrote:
>In the last two meetings (Austin & IETF Plenary in Memphis), we
>have talked about HTTP as a transport for IPP, and in my 
>proposal I have also used the "application/ipp" MIME type
>as a delivery mechanism for "tunneling" the actual IPP-specific
>protocol through HTTP. In each scenario we have discussed, we
>have always talked about encapsulating an "IPP payload" and
>I am working on exactly how to do this. My instinctive 
>reaction to unambiguously specifying this protocol, and to
>make it transport-independent, is to specify the protocol
>using ASN.1. It seems like a good contender although its
>syntax sometimes ruffles a few feathers within the PWG; still,
>for the purposes of encapsulation, it is ideally suited for
>this purpose.

>I would like to propose that we specify the IPP protocol 
>itself using ASN.1 language.

>Comments ?  (yeah, right, like there won't be comments on this one...)

ASN.1/BER encoding/decoding eats up a cheap Printer processor time.
A complicated ASN.1 definition must worsen it, e.g. tags in tags in tags....
All the discussions on IPP I have heard and read shows some complication.

Hiroyuki Sato
Canon